Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.model
Class ArrayDataModel

    java.lang.Object
      javax.faces.model.DataModel
          javax.faces.model.ArrayDataModel

public class ArrayDataModel
extends DataModel

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Thomas Spiegl (latest modification by $Author: mwessendorf $)

Constructor Summary
`ArrayDataModel()`
`ArrayDataModel(java.lang.Object[] array)`

Method Summary
`int` | `getRowCount()`
`java.lang.Object` | `getRowData()`
`int` | `getRowIndex()`
`java.lang.Object` | `getWrappedData()`
`boolean` | `isRowAvailable()`
`void` | `setRowIndex(int rowIndex)`
`void` | `setWrappedData(java.lang.Object data)`

Methods inherited from class javax.faces.model.DataModel
`addDataModelListener, getDataModelListeners, removeDataModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayDataModel

    public ArrayDataModel()

### ArrayDataModel

    public ArrayDataModel(java.lang.Object[] array)

Method Detail

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in class `DataModel`

### getRowData

    public java.lang.Object getRowData()

  Specified by:
    `getRowData` in class `DataModel`

### getRowIndex

    public int getRowIndex()

  Specified by:
    `getRowIndex` in class `DataModel`

### getWrappedData

    public java.lang.Object getWrappedData()

  Specified by:
    `getWrappedData` in class `DataModel`

### isRowAvailable

    public boolean isRowAvailable()

  Specified by:
    `isRowAvailable` in class `DataModel`

### setRowIndex

    public void setRowIndex(int rowIndex)

  Specified by:
    `setRowIndex` in class `DataModel`

### setWrappedData

    public void setWrappedData(java.lang.Object data)

  Specified by:
    `setWrappedData` in class `DataModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD